1. Payments
Casharc
Merchant
  • Merchant
  • Getting Started
    • Introduction
    • Authentication
    • Quickstart
  • Guides
    • Idempotency
    • Statuses
    • Reason Codes
  • Payments
    • Create Payment
      POST
    • List Payments
      GET
    • Retrieve Payment
      GET
    • Claim Payment
      POST
    • Cancel Payment
      POST
    • Refund Payment
      POST
  • Payouts
    • Create Payout
      POST
    • List Payouts
      GET
    • Retrieve Payout
      GET
    • Cancel Payout
      POST
  • Appeals
    • Create Appeal
      POST
    • List Appeals
      GET
    • Retrieve Appeal
      GET
    • Cancel Appeal
      POST
  • Balance
    • Retrieve Balance
      GET
  • Webhook
    • On Status Change
  1. Payments

Claim Payment

POST
/payments/{id}/claim

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

🟠401
🟠404
🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/payments//claim' \
--header 'Idempotency-Key;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "reference": "string",
    "receipt": {
        "url": "string",
        "name": "string"
    }
}'
Response Response Example
200 - Example 1
{
    "data": {
        "id": "string",
        "type": "string",
        "requested": {
            "amount": "string",
            "currency": "string"
        },
        "initialized": {
            "amount": "string",
            "currency": "string"
        },
        "processed": {
            "amount": "string",
            "currency": "string"
        },
        "refunded": {
            "amount": "string",
            "currency": "string"
        },
        "requisite": {
            "type": "card",
            "card": "string",
            "holder": "string",
            "bank": "string"
        },
        "status": "string",
        "reason_code": "string",
        "expires_at": "string",
        "created_at": "string",
        "finalized_at": "string",
        "metadata": {}
    }
}
Previous
Retrieve Payment
Next
Cancel Payment
Built with